#!/bin/bash

# TODO: it would be nicer to make lxc detection seamless, but for now,
# use a cmdline arg.
if [ "$1" == "lxc" ]; then
    # XXX: change if your container has a different name
    CONTAINER=ubuntu-sdk

    if ! lxc-wait -n $CONTAINER -s RUNNING -t 0; then
        lxc-start -n $CONTAINER -d
        lxc-wait -n $CONTAINER -s RUNNING
    fi

    user=$(logname)
    wd=`pwd | sed "s/$user/ubuntu/"`

    # My my, aren't we clever. We call ourselves inside the LXC, but
    # without the 'lxc' cmdline arg, and thus skip this block inside.
    lxc-attach --clear-env -n $CONTAINER -- sudo -u ubuntu -i \
        bash -c "cd $wd && ./build.sh"

    lxc-stop -n $CONTAINER -t 10

    # Exit after building inside.
    exit
fi

ARCH_TRIPLET=`dpkg-architecture -qDEB_HOST_MULTIARCH`

./countries.py

cd library
# ignore consoletelegram and uitest
sed '/\(add_subdirectory(consoletelegram)\|add_subdirectory(uitest)\)/d' ./CMakeLists.txt > tmp.txt
mv tmp.txt CMakeLists.txt
mkdir -p build && cd build
cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBDIR=lib/$ARCH_TRIPLET
make

cd ..

if [ "$#" -eq 1 ]; then
    rm -rf build
fi

mkdir -p build && cd build
cmake .. && make
