import QtQuick 2.0
import Ubuntu.Components 0.1
import "TelegramColors.js" as Color

Rectangle {
    property bool isOutgoing: true
    property alias text: text.text

    id: item
    width: parent.width
    height: childrenRect.height + units.gu(1)
    anchors.margins: units.gu(1)
    color: Color.transparent

    Rectangle {
        anchors {
            left: isOutgoing ? undefined : parent.left
            right: isOutgoing ? parent.right : undefined
        }
        width: Math.min(text.implicitWidth, parent.width * 0.8) + units.gu(2)
        height: text.implicitHeight + units.gu(2)
        radius: 5
        color: isOutgoing ? Color.outgoing : Color.incoming

        Rectangle {
            id: textBoundingBox
            anchors {
                top: parent.top
                left: isOutgoing ? undefined : parent.left
                bottom: parent.bottom
                right: isOutgoing ? parent.right : undefined

                margins: units.gu(1)
            }
            width: Math.min(text.width, item.width * 0.8)
            height: text.implicitHeight
            color: Color.transparent

            Text {
                id: text
                anchors.margins: units.dp(2)
                verticalAlignment: TextInput.AlignVCenter
                horizontalAlignment: TextInput.AlignHCenter
                wrapMode: Text.WrapAnywhere
            }
        }
    }
}
