import QtQuick 2.0
import "TelegramColors.js" as TelegramColors

Rectangle {
    property alias text: buttonLabel.text
    property alias textColor: buttonLabel.color

    signal clicked

    width: buttonLabel.width + units.gu(4)
    height: buttonLabel.height + units.gu(1.5)
    color: TelegramColors.blue
    radius: 3

    Text {
        id: buttonLabel
        anchors.centerIn: parent
        horizontalAlignment: TextInput.AlignHCenter
        verticalAlignment: TextInput.AlignVCenter

        color: TelegramColors.white
        font.pointSize: 12
        font.weight: Font.DemiBold
    }

    MouseArea {
        id: startMessaging
        anchors.fill: parent

        onPressed: parent.onPressed()
        onReleased: parent.onReleased()
        onClicked: parent.clicked()
    }

    function onPressed() {
        color = TelegramColors.dark_blue;
    }

    function onReleased() {
        color = TelegramColors.blue
    }
}
