#!/bin/bash

LIBDIR="library/build/qmlplugin"
if [ ! -d "$LIBDIR" ]; then
    echo "Library not present. Invoke ./getlib.sh first."
    exit -1
fi

# TODO: it would be nicer to make lxc detection seamless, but for now,
# use a cmdline arg.
if [ "$1" == "lxc" ]; then
    # XXX: change if your container has a different name
    CONTAINER=ubuntu-sdk

    if ! lxc-wait -n $CONTAINER -s RUNNING -t 0; then
        lxc-start -n $CONTAINER -d
        lxc-wait -n $CONTAINER -s RUNNING
    fi

    user=$(logname)
    wd=`pwd | sed "s/$user/ubuntu/"`

    lxc-attach --clear-env -n $CONTAINER -- sudo -u ubuntu -i \
        env DISPLAY=$DISPLAY QML2_IMPORT_PATH=$LIBDIR \
        bash -c "cd $wd && qmlscene telegram.qml"

    lxc-stop -n $CONTAINER -t 10
else
    QML2_IMPORT_PATH=$LIBDIR qmlscene telegram.qml
fi
