import QtQuick 2.0
import Ubuntu.Components 1.1
import "../components"
import "../components/listitems"
import "../js/time.js" as Time
import Ubuntu.Plugins.Telegram 0.1

TelegramPage {
    title: i18n.tr('Contacts');

    head.actions: [
            Action {
                iconName: "search"
                text: i18n.tr("Search")
            }
        ]

    body: Rectangle {
        anchors {
            fill: parent
        }

        // TODO Figure out what is wrong with header backAction.
        TelegramButton {
            id: back
            anchors {
                bottom: parent.bottom
                left: parent.left
                right: parent.right

                margins: units.gu(1)
            }

            text: "Back"
            onClicked: pageStack.showPage(dialogsPage)
        }

        ListView {
            id: contactList
            anchors {
                top: parent.top
                left: parent.left
                right: parent.right
                bottom: back.top

                bottomMargin: units.dp(4)
            }

            clip: true

            model: telegramClient.contactsModel
            delegate: TelegramContactsListItem {
                // no image and lastSeen, lp #1347491
                image: model.thumbnail !== "" ? model.thumbnail
                                              : Qt.resolvedUrl("../images/user_blue.png")
                title: model.firstName + " " + model.lastName
                lastSeen: Time.format(model.lastSeenOnline)
                isOnline: model.online
            }
        }
    }
}
